Skip to main content
PUT
/
v1
/
installs
/
{installSid}
/
exams
/
{examSid}
/
assignments
Update exam assignments
curl --request PUT \
  --url https://api.smarterproctoring.com/v1/installs/{installSid}/exams/{examSid}/assignments \
  --header 'Content-Type: application/json' \
  --header 'token: <api-key>' \
  --data '
{
  "added": {
    "courseSid": "CU1234567890abcdef1234567890abcdef",
    "sectionSid": [
      "CS1234567890abcdef1234567890abcdef"
    ],
    "enrollmentSid": [
      "EN1234567890abcdef1234567890abcdef"
    ]
  },
  "removed": {
    "courseSid": "CU1234567890abcdef1234567890abcdef",
    "sectionSid": [
      "CS1234567890abcdef1234567890abcdef"
    ],
    "enrollmentSid": [
      "EN1234567890abcdef1234567890abcdef"
    ]
  }
}
'
"<string>"

Authorizations

token
string
header
required

Path Parameters

installSid
string
required

Unique SID of the application install. Pattern: AI + 32 hex chars.

Pattern: ^AI[a-f0-9]{32}$
Example:

"AI1234567890abcdef1234567890abcdef"

examSid
string
required

Unique SID of the exam whose assignments are being modified. Pattern: EX + 32 hex chars.

Pattern: ^EX[a-f0-9]{32}$
Example:

"EX1234567890abcdef1234567890abcdef"

Body

application/json

Payload containing SIDs to assign or unassign from the exam.

added
object

Object containing arrays of SIDs to assign to the exam.

removed
object

Object containing arrays of SIDs to unassign from the exam.

Response

default - application/json

Successful

The response is of type string.